import { prop } from '@typegoose/typegoose';

export default class Resolution {
  @prop({ required: true })
  public issuer: string;

  @prop({ required: true })
  public subject: string;

  @prop({ required: true })
  public body: string;

  @prop({ required: true })
  public at: number;

  @prop({ required: true, unique: true })
  public oID: string;

  @prop()
  public results: {
    yea: number;
    nay: number;
    present: number;
    absent: number;
  };

  @prop({ required: true, unique: true })
  public msg: string;
}
